function openXg_button()
{
window.showModalDialog('set_buttons_xg.htm',window,'dialogWidth=650px;dialogHeight=350px');
}
function select_win(curMk_name,curCol_name,bindCol_name,from_fileName,sh,where,guanLian_yn)
{
var url="select_record_a.htm?to_fileName="+curMk_name+"&to_cols="+curCol_name+"&from_cols="+bindCol_name+"&from_fileName="+from_fileName+"&guanLian_yn="+guanLian_yn;
if(where && where.length>0)
{
url+="&"+js_fromat_bl(where);
}
var obj=event.srcElement;
var tr=tf._gPar("obj.tagName=='TR'",obj,window)
var box=tr.getElementsByTagName("INPUT")[0];
if(!box)
{
if(document.location.href.indexOf('work_tr_box.htm?')>-1)
{
alert('没有找到对应的文本框，你的值可能无法传回。')
}
};
var fromTb=get_fromTb(from_fileName);
var gl_id=tf.gid('$'+fromTb+"_id_",window);
if(gl_id)
{
var v=gl_id.value;
if(v.length>0&&guanLian_yn!=0)
{
url+="&zdy_so_col=id";
url+="&zdy_so_fh==";
url+="&zdy_so_value="+v;
}
}
tf.open_dialog(url,800,450,0,window);	
}
function get_fromTb(fileName)
{
var url="../"+tf.asp_php+"/execute."+tf.asp_php+"?fileName="+fileName+"&exe=get_binding_from_tbName";
var s=tf.ajax(url);
var arr=s.split("[tbName]");
if(arr.length>0)
{
return arr[1];
}
}
function build_options(str)
{
if(str.indexOf(",")!=-1)
{
var op_arr=str.split(",");
var op_str="";
for(var i=0;i<op_arr.length;i++)
{
op_str+="<option value='"+op_arr[i]+"'>"+op_arr[i]+"</option>";
}
return op_str;
}
else
{
return str;
}
}